Bug 376751 - /var/run/yum.pid remains locked after normal exit from yum
/var/run/yum.pid remains locked after normal exit from yum
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
8
i686 Linux
low Severity high
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-11 20:11 EST by Leslie Satenstein
Modified: 2014-01-21 18:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-12 23:08:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leslie Satenstein 2007-11-11 20:11:37 EST
Description of problem:

I issue a yum update command, and at the completion, the lock is not released.
I issue a yum erase command, which is successful. On exit, yum does not release
the lock.



Version-Release number of selected component (if applicable):

FC8 as of November 11,th version vanilla + 3 days



How reproducible:

Every time

Steps to Reproduce:
1.
2.
3.
  
Actual results:
[root@localhost leslie]# yum erase totem
Loading "refresh-updatesd" plugin
Loading "allowdowngrade" plugin
Loading "security" plugin
Loading "skip-broken" plugin
Loading "fastestmirror" plugin
Loading "protectbase" plugin
Loading "changelog" plugin
Loading "kernel-module" plugin
Loading "merge-conf" plugin
Loading "basearchonly" plugin
Loading "presto" plugin
Loading "fedorakmod" plugin
Loading "protect-packages" plugin
Loading "priorities" plugin
Loading "tsflags" plugin
Loading "downloadonly" plugin
Setting up Remove Process
Loading mirror speeds from cached hostfile
Setting up and reading Presto delta metadata
No Presto metadata available for livna
No Presto metadata available for fedora
No Presto metadata available for updates
0 packages excluded due to repository protections
0 packages excluded due to repository priority protections
Resolving Dependencies
--> Running transaction check
---> Package totem.x86_64 0:2.20.1-1.fc8 set to be erased
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Removing:
 totem                   x86_64     2.20.1-1.fc8     installed         5.3 M

Transaction Summary
=============================================================================
Install      0 Package(s)         
Update       0 Package(s)         
Remove       1 Package(s)         

Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Erasing   : totem                        ######################### [1/1] 

Removed: totem.x86_64 0:2.20.1-1.fc8
Complete!
[root@localhost leslie]# yum install totem-xine
Loading "refresh-updatesd" plugin
Loading "allowdowngrade" plugin
Loading "security" plugin
Loading "skip-broken" plugin
Loading "fastestmirror" plugin
Loading "protectbase" plugin
Loading "changelog" plugin
Loading "kernel-module" plugin
Loading "merge-conf" plugin
Loading "basearchonly" plugin
Loading "presto" plugin
Loading "fedorakmod" plugin
Loading "protect-packages" plugin
Loading "priorities" plugin
Loading "tsflags" plugin
Loading "downloadonly" plugin
Existing lock /var/run/yum.pid: another copy is running as pid 7086.


Expected results:

No other lock

Additional info:
Comment 1 Leslie Satenstein 2007-11-11 20:13:21 EST
Tried with other yum options -- after execution, lock file not cleaned up.

Comment 2 Seth Vidal 2007-11-11 20:53:58 EST
Was there anything at the pid?
Comment 3 James Antill 2007-11-12 09:33:22 EST
> [root@localhost leslie]# yum erase totem
> Loading "refresh-updatesd" plugin
> Loading "allowdowngrade" plugin

 This is really a "bug" with the refresh-updatesd plugin and yum-updatesd ... if
you want to perform multiple commands the plugin will have told updatesd to run
after the first one (which will lock yum).
 Really it needs to not try and download anything when it gets a message from
refresh-updatesd. But that isn't a trivial feature, and it's not really a bug
atm. it's doing what you told it to.
Comment 4 Leslie Satenstein 2007-11-12 09:57:43 EST
James,  Can you please rephrase your reply as I do not understand it.  

The main reason for the bug is that with FC7 and 64 bits, it works just just
fine for me.  But this is fc8, so what is broken? What plug-in do I de-activate?



Comment 5 James Antill 2007-11-12 10:20:22 EST
 If you remove the yum-refresh-updatesd package the problem should go away, I
can only assume that in Fed-7 you didn't have yum-updatesd running ... which
would also resolve this bug (but remove other functionality).
 If that doesn't fix it, feel free to reopen.
Comment 6 Leslie Satenstein 2007-11-14 19:43:57 EST
Have you tested it with FC7. I had done a yum install yum* and I had never 
disabled yum-updatesd. It does leave the lock file in /var/run. I believe that 
the contents of the lock file is the pid of the executing yum.
Comment 7 Leslie Satenstein 2007-12-12 23:08:11 EST
Seems to be repaired after a few updates.

Note You need to log in before you can comment on or make changes to this bug.